Package org.apache.commons.math3.dfp

# Interface UnivariateDfpFunction

@Deprecated public interface UnivariateDfpFunction
Deprecated.
as of 3.6, replaced with `RealFieldUnivariateFunction`
An interface representing a univariate `Dfp` function.

## Method Summary

Modifier and Type
Method
Description
`Dfp`
`value(Dfp x)`
Deprecated.
Compute the value of the function.

## Method Details

### value

Dfp value(Dfp x)
Deprecated.
Compute the value of the function.

Parameters:
  `x` - Point at which the function value should be computed.
Returns:
  the value.
Throws:
  `IllegalArgumentException` - when the activated method itself can ascertain that preconditions, specified in the API expressed at the level of the activated method, have been violated. In the vast majority of cases where Commons-Math throws IllegalArgumentException, it is the result of argument checking of actual parameters immediately passed to a method.